import os
from glob import glob
from pydoc import locate


def custom_filter():
    """
    read custom filters from filters folder
    """
    filter_dir = os.path.dirname(os.path.abspath(__file__))
    filters = []

    for filter_file in glob(os.path.join(filter_dir, 'a_*')):
        filter_ = os.path.splitext(os.path.basename(filter_file))[0]
        filter_function = locate(f'app.filters.{filter_}.filter_link')
        link = filter_function()

        if link is not None:
            filters.append(link)

    return filters
